﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd">
    <head><title>Restarting the Services</title>
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1><a name="top"></a>Restarting the Services</h1>
        <p>You can restart services in Saviynt Identity Governance and Administration (IGA) via the <strong>Service Restart</strong> page.</p>
        <p>You should restart services when:</p>
        <ul>
            <li>
                <p>You make any changes to the AuthenticationConfig.groovy and externalconfig.properties configuration files from the <strong>Configuration Files</strong> page.</p>
            </li>
            <li>
                <p>You make any changes to the SSO configuration files such as the SP.xml or IDP.xml from the <strong>IDP Configuration</strong> page.</p>
            </li>
            <li>
                <p>You make any changes to the labels from the <strong>Label Management</strong> page.</p>
            </li>
            <li>
                <p>You upload the GSP or external JAR files from the <strong>File Directory</strong> page.</p>
            </li>
        </ul>
        <p><strong>To restart the Services:</strong>
        </p>
        <ol>
            <li>
                <p>Log on to IGA.</p>
            </li>
            <li>
                <p>On the top right of the home page, click the <strong>Applications</strong> icon, and select <strong>Admin</strong>.</p>
            </li>
            <li>
                <p>Click the <strong>Menu</strong> icon.</p>
            </li>
            <li>
                <p>In the left pane, under <strong>Admin Functions</strong>, click <strong>Application Restart</strong>.</p>
                <p>The <strong>Service Restart</strong> page is displayed.</p>
            </li>
            <li>
                <p>Click <strong>Restart All Services</strong>. </p>
                <p><strong>Are you sure?</strong> confirmation message appears.</p>
            </li>
            <li>
                <p>Click <strong>Yes</strong> to restart the services. The<strong> Application restart has been initiated. Wait for around 20 mins for the changes to be applied</strong> message appears at the top of the page.</p>
            </li>
        </ol>
    </body>
</html>